Index: channels/chan_sip.c
===================================================================
--- channels/chan_sip.c	(revision 282429)
+++ channels/chan_sip.c	(working copy)
@@ -26033,12 +26033,14 @@
 		ast_sockaddr_set_port(&peer->addr, port);
 	}
 
-	if (ast_sockaddr_port(&peer->addr) == 0) {
+	if (!ast_sockaddr_isnull(&peer->addr) &&
+	    ast_sockaddr_port(&peer->addr) == 0) {
 		ast_sockaddr_set_port(&peer->addr,
 				      (peer->socket.type & SIP_TRANSPORT_TLS) ?
 				      STANDARD_TLS_PORT : STANDARD_SIP_PORT);
 	}
-	if (ast_sockaddr_port(&peer->defaddr) == 0) {
+	if (!ast_sockaddr_isnull(&peer->defaddr) &&
+	    ast_sockaddr_port(&peer->defaddr) == 0) {
 		ast_sockaddr_set_port(&peer->defaddr,
 				      (peer->socket.type & SIP_TRANSPORT_TLS) ?
 				      STANDARD_TLS_PORT : STANDARD_SIP_PORT);
